components:
  schemas:
    Reservoir_v1_0_1_Actions:
      additionalProperties: false
      description: The available actions for this resource.
      properties:
        Oem:
          $ref: '#/components/schemas/Reservoir_v1_0_1_OemActions'
          description: The available OEM-specific actions for this resource.
          x-longDescription: This property shall contain the available OEM-specific
            actions for this resource.
      type: object
      x-longDescription: This type shall contain the available actions for this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    Reservoir_v1_0_1_OemActions:
      additionalProperties: true
      description: The available OEM-specific actions for this resource.
      properties: {}
      type: object
      x-longDescription: This type shall contain the available OEM-specific actions
        for this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    Reservoir_v1_0_1_Reservoir:
      additionalProperties: false
      description: The Reservoir schema describes a reservoir unit for a cooling system
        or similar device.
      properties:
        '@odata.context':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_context
        '@odata.etag':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_etag
        '@odata.id':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_id
        '@odata.type':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_type
        Actions:
          $ref: '#/components/schemas/Reservoir_v1_0_1_Actions'
          description: The available actions for this resource.
          x-longDescription: This property shall contain the available actions for
            this resource.
        Assembly:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          description: The link to the assembly associated with this reservoir.
          readOnly: true
          x-longDescription: This property shall contain a link to a resource of type
            Assembly.
        CapacityLiters:
          description: The capacity of the reservoir (L).
          nullable: true
          readOnly: true
          type: number
          x-longDescription: This property shall contain the capacity of the reservoir
            in liter units.
        Coolant:
          $ref: http://redfish.dmtf.org/schemas/v1/CoolingLoop.yaml#/components/schemas/CoolingLoop_Coolant
          description: Details about the coolant used in this unit.
          x-longDescription: This property shall contain details regarding the coolant
            contained or used by this unit.
        Description:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Description
          nullable: true
          readOnly: true
        Filters:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          description: A link to a collection of filters.
          readOnly: true
          x-longDescription: This property shall contain a link to a resource collection
            of type FilterCollection that contains a set of filters.
        FluidLevelPercent:
          $ref: http://redfish.dmtf.org/schemas/v1/Sensor.yaml#/components/schemas/Sensor_SensorExcerpt
          description: The fluid capacity filled (percent).
          nullable: true
          readOnly: true
          x-excerptCopy: SensorExcerpt
          x-longDescription: This property shall contain the amount of fluid capacity,
            in percent units, filled in this reservoir.  The value of the DataSourceUri
            property, if present, shall reference a resource of type Sensor with the
            ReadingType property containing the value `Percent`.  Services that support
            this property shall also return the FluidLevelStatus property.
        FluidLevelStatus:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Health
          description: The status of the fluid level in this reservoir.
          nullable: true
          readOnly: true
          x-longDescription: This property shall indicate the status of the fluid
            level in this reservoir.
        Id:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Id
          readOnly: true
        InternalPressurekPa:
          $ref: http://redfish.dmtf.org/schemas/v1/Sensor.yaml#/components/schemas/Sensor_SensorExcerpt
          description: The internal pressure (kPa) reading.
          nullable: true
          readOnly: true
          x-excerptCopy: SensorExcerpt
          x-longDescription: This property shall contain the internal pressure, measured
            in kilopascal units, for the reservoir.  The value of the DataSourceUri
            property, if present, shall reference a resource of type Sensor with the
            ReadingType property containing the value `PressurekPa`.
        Location:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Location
          description: The location of the reservoir.
          x-longDescription: This property shall contain the location information
            of this reservoir.
        LocationIndicatorActive:
          description: An indicator allowing an operator to physically locate this
            resource.
          nullable: true
          readOnly: false
          type: boolean
          x-longDescription: This property shall contain the state of the indicator
            used to physically identify or locate this resource.
        Manufacturer:
          description: The manufacturer of this reservoir.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall contain the name of the organization
            responsible for producing the reservoir.  This organization may be the
            entity from whom the reservoir is purchased, but this is not necessarily
            true.
        Model:
          description: The model number for this reservoir.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall contain the model information as
            defined by the manufacturer for this reservoir.
        Name:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Name
          readOnly: true
        Oem:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
          description: The OEM extension property.
          x-longDescription: This property shall contain the OEM extensions.  All
            values for properties that this object contains shall conform to the Redfish
            Specification-described requirements.
        PartNumber:
          description: The part number for this reservoir.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall contain the part number as defined
            by the manufacturer for this reservoir.
        PhysicalContext:
          $ref: http://redfish.dmtf.org/schemas/v1/PhysicalContext.yaml#/components/schemas/PhysicalContext_PhysicalContext
          description: The area or device associated with this reservoir.
          readOnly: true
          x-longDescription: This property shall contain a description of the affected
            device or region within the chassis with which this reservoir is associated.
        ReservoirType:
          $ref: '#/components/schemas/Reservoir_v1_0_1_ReservoirType'
          description: The type of reservoir.
          nullable: true
          readOnly: true
          x-longDescription: This property shall contain the type of reservoir represented
            by this resource.
        SerialNumber:
          description: The serial number for this reservoir.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall contain the serial number as defined
            by the manufacturer for this reservoir.
        SparePartNumber:
          description: The spare part number for this reservoir.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall contain the spare or replacement
            part number as defined by the manufacturer for this reservoir.
        Status:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Status
          description: The status and health of the resource and its subordinate or
            dependent resources.
          x-longDescription: This property shall contain any status or health properties
            of the resource.
        UserLabel:
          description: A user-assigned label.
          readOnly: false
          type: string
          x-longDescription: This property shall contain a user-assigned label used
            to identify this resource.  If a value has not been assigned by a user,
            the value of this property shall be an empty string.
      required:
      - '@odata.id'
      - '@odata.type'
      - Id
      - Name
      type: object
      x-longDescription: This resource shall represent the management properties for
        monitoring and management of reservoirs for a Redfish implementation.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    Reservoir_v1_0_1_ReservoirType:
      enum:
      - Reserve
      - Overflow
      - Inline
      - Immersion
      type: string
      x-enumDescriptions:
        Immersion: An immersion cooling tank.
        Inline: An inline or integrated reservoir.
        Overflow: An overflow reservoir for excess fluid.
        Reserve: A reservoir providing reserve fluid capacity.
title: '#Reservoir.v1_0_1.Reservoir'
x-copyright: Copyright 2014-2023 DMTF. For the full DMTF copyright policy, see http://www.dmtf.org/about/policies/copyright
x-owningEntity: DMTF
x-release: '2023.1'
